Gta 5 Thor Mod System Requirements

Gta 5 Thor Mod System Requirements


1. Game URL
2. Game FB Page URL
3. Game Twitter Page URL

Its all about a new release data of what you would like to know Gta 5 Thor Mod System Requirements, pretty looks awesome.

Are you still having confusion in different betweek minimum requirements of Gta 5 Thor Mod System Requirements and recommended requirements, so, let’s begin!

Gta 5 Thor Mod Detail

Actually, the max condition yet not shared due to minimum, and recommended enough according to the game. You can also check the price of the game Check Price

Gta 5 Thor Mod System Requirements Minimum

According to the minimum you must have whatever described below table. Do consideration.

RAM:4 GB
CPU:Intel Core 2 Quad CPU Q6600 @ 2.40GHz (4 CPUs) / AMD Phenom 9850 Quad-Core Processor (4 CPUs) @ 2.5GHz
CPU Speed:Info
Video Card:NVIDIA 9800 GT 1GB / AMD HD 4870 1GB (DX 10, 10.1, 11)
Vertex Shader:4.0
Pixel Shader:4.0
Operating Sys:Windows 10 64 Bit, Windows 8.1 64 Bit, Windows 8 64 Bit, Windows 7 64 Bit Service Pack 1, Windows Vista 64 Bit Service Pack 2*
Dedicated Video Ram:1 GB
Sound Card:100% DirectX 10 compatible
Extra Disk Space:72 GB

That’s it. You can also read more: Extremely Games for Android

Gta 5 Thor Mod System Requirements Recommended

I would like to recommend you the following details that you may have if you like to bootsUp the game itself and work smoothly.

RAM:8 GB
CPU:Intel Core i5 3470 @ 3.2GHz (4 CPUs) / AMD X8 FX-8350 @ 4GHz (8 CPUs)
CPU Speed:Info
Video Card:NVIDIA GTX 660 2GB / AMD HD 7870 2GB
Vertex Shader:5.0
Pixel Shader:5.0
Operating Sys:Windows 10 64 Bit, Windows 8.1 64 Bit, Windows 8 64 Bit, Windows 7 64 Bit Service Pack 1
Dedicated Video Ram:2 GB
Sound Card:100% DirectX 10 compatible
Extra Disk Space:72 GB

 

Screenshots

Before taking any action, must check the screenshot how does this game looks inside?

Conclusion

As you have already seen the minimum, and recommended system requirements, now the point is to consider what you have and what you do require ahead.


Leave a Comment